> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-pt/scenes-sdk7/bibliotecas/manage-dependencies.md).

# Gerenciar Dependências

Como adicionar bibliotecas a uma scene

Muitas vezes, a sua cena pode precisar de funcionalidades que já estão encapsuladas numa biblioteca reutilizável. A utilização de bibliotecas externas pode facilitar bastante o seu trabalho.

Pode importar bibliotecas externas para um projeto Decentraland e, em seguida, referenciar os Systems, Components ou funções descritos nessas bibliotecas.

Consulte a [página de exemplos](https://studios.decentraland.org/resources?sdk_version=SDK7\&resource_type=Library) para encontrar várias bibliotecas, criadas tanto pela Decentraland Foundation como por membros da comunidade, que resolvem problemas comuns.

## Através da CLI

### Instalar

Para instalar uma biblioteca na pasta do projeto, execute `npm i` e o nome da biblioteca no diretório raiz do projeto. Por exemplo:

`npm i @dcl-sdk/utils`

> **📔 Nota**: poderá ter de executar `npm run start` ou `npm run build` depois de instalar a biblioteca para instalar as respetivas dependências.

### Atualizar

Se o seu `package.json` indicar a versão da biblioteca como `@latest`, execute `npm i` para atualizar todas as bibliotecas para as respetivas versões mais recentes.

Se o seu `package.json` referenciar um número de versão específico, pode atualizá-lo executando o comando para instalar a biblioteca, acrescentando `@` e o número da versão no final. Por exemplo:

`npm i @dcl-sdk/utils@1.7.5`

### Desinstalar

Para eliminar uma biblioteca das dependências da sua cena, execute `npm rm` e o nome da biblioteca. Por exemplo:

`npm rm @dcl-sdk/utils`

É boa prática remover as bibliotecas que não está a utilizar. As bibliotecas não utilizadas continuam a ocupar espaço na cena, afetando a experiência dos jogadores ao transferirem e executarem a sua cena.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/creator/content-creator-pt/scenes-sdk7/bibliotecas/manage-dependencies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
